curl --request GET \
--url https://api.robase.dev/v1/sms/{id} \
--header 'Authorization: Bearer <token>'{
"sms": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "queued",
"to": "+2348012345678",
"from": "SHUTTLERS",
"body": "<string>",
"segments": 123,
"encoding": "GSM7",
"country": "NG",
"carrier": "mtn_ng",
"provider": "beem",
"provider_message_id": "<string>",
"provider_attempts": [
{
"provider": "<string>",
"attempted_at": "2023-11-07T05:31:56Z",
"ok": true,
"provider_message_id": "<string>",
"error_code": "<string>",
"error_message": "<string>"
}
],
"cost": {
"amount_kobo": 123,
"currency": "NGN"
},
"test_mode": true,
"created_at": "2023-11-07T05:31:56Z",
"sent_at": "2023-11-07T05:31:56Z",
"delivered_at": "2023-11-07T05:31:56Z"
},
"events": [
{}
]
}curl --request GET \
--url https://api.robase.dev/v1/sms/{id} \
--header 'Authorization: Bearer <token>'{
"sms": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "queued",
"to": "+2348012345678",
"from": "SHUTTLERS",
"body": "<string>",
"segments": 123,
"encoding": "GSM7",
"country": "NG",
"carrier": "mtn_ng",
"provider": "beem",
"provider_message_id": "<string>",
"provider_attempts": [
{
"provider": "<string>",
"attempted_at": "2023-11-07T05:31:56Z",
"ok": true,
"provider_message_id": "<string>",
"error_code": "<string>",
"error_message": "<string>"
}
],
"cost": {
"amount_kobo": 123,
"currency": "NGN"
},
"test_mode": true,
"created_at": "2023-11-07T05:31:56Z",
"sent_at": "2023-11-07T05:31:56Z",
"delivered_at": "2023-11-07T05:31:56Z"
},
"events": [
{}
]
}